package main

import (
	"github.com/spf13/viper"
	_ "trading-go/common"
	"trading-go/routine"
)

// @title 二手交易
// @version 1.0
// @description 一个基于微信小程序的校园二手交易平台的api
// @termsOfService http://swagger.io/terms/

// @license.name Apache 2.0
// @license.url http://www.apache.org/licenses/LICENSE-2.0.html

// @host 127.0.0.1:8084
// @BasePath /WeChatTrading/trading-go
func main() {
	r := routine.GetRoutine()
	port := viper.GetString("web.port")
	r.Run(port)
}
